baseURL: "https://friends.computer/"
languageCode: "en-us"
title: "Welcome to friends.computer. • Staycation is here!"
theme: "hehe"
metaDataFormat: "yaml"

blackfriday:
  smartypants: false  # specific reason: to disable curly quotation marks in code blocks

markup:
  goldmark:
    renderer:
      unsafe: true    # allows HTML in markdown, shouldn't affect security, because it's a static site...
  highlight:
    style: emacs

### uncomment to remove empty lines and deploy with `hugo --minify`
### see: https://gohugo.io/getting-started/configuration/#configure-minify
#minify:
#  tdewolff:
#    html:
#      keepWhitespace: true

frontmatter:
  lastmod:
    - ":fileModTime"
    - "lastmod"
    - ":default"

params:
  Description: "A website for winny's friends.computer project."
  Keywords:
    - "Staycation is here!"
  License:
    URL: "https://creativecommons.org/licenses/by-sa/4.0/"
    Title: "Content on this website is, unless otherwise noted, licensed under a Creative Commons Attribution-ShareAlike 4.0 International License."
    Name: "<i class=\"fab fa-creative-commons\"></i>BY-SA-4.0"
  Author: "winny"
  Email: "hello--@--winny.tech"

  # embed inline base64 encoded favicon instead of favicon.png in your document /
  # generate with:
  # base64 -w 0 favicon.png 
  #favicon_base64: ""

  # true: enable server side fonts / false: enable www-browser default fonts
  remoteFonts: true

  showHeader: true
  showFooter: true

  ### Header
  showTitle: true

  ### Footer
  SiteSource: "https://gitlab.com/friends.computer/hehe/"  # leave empty to hide the element
  showRSS: true
  showLastChange: true

taxonomies:
  category: "categories"
  tag: "tags"

# removes RSS feed from the front page (home) - see: https://gohugo.io/templates/output-formats#default-output-formats
outputs:
  home:
    - HTML
  # - RSS

menu:
  primary:
    - name: "about"
      weight: 1
      identifier: "about"
      url: "/about/"
      title: "About the Mountain Tree IRC"
    - name: "rules"
      weight: 2
      identifier: "rules"
      url: "/rules/"
      title: "Rules of Conduct"
    - name: "news"
      weight: 3
      identifier: "news"
      url: "/news/"
      title: "News"
    - name: "webchat"
      weight: 4
      identifier: "webchat"
      url: "https://webchat.freenode.net/?channels=%23%23friends%2ecomputer"
      title: "webchat"

  secondary:
    - name: "contact"
      weight: 1
      identifier: "contact"
      url: "/contact/"
      title: "Establish Contact With The Friends"
  #  - name: "files"
  #    weight: 2
  #    identifier: "files"
  #    url: "/files/"
  #    title: "friends.computer File Repository"
    - name: "meta"
      weight: 3
      identifier: "meta"
      url: "/meta/"
      title: "Technical Details About The Running Services"

# vim: tabstop=2 softtabstop=2 shiftwidth=2 expandtab smarttab 
